#!/usr/bin/awk -f
#
# improve the index

BEGIN{
	e["mta"] = "mail transfer agent (\\NAME{MTA})";
	e["mua"] = "mail user agent (\\NAME{MUA})";
	e["mda"] = "mail delivery agent (\\NAME{MUA})";
	e["smtp"] = "simple mail transfer protocol (\\NAME{SMTP})";
	e["ietf"] = "Internet Engineering Task Force (\\NAME{IETF})";
	e["debian"] = "Debian";
	e["ascii"] = "ascii@\\NAME{ASCII}";
	e["gpl"] = "General Public License (\\NAME{GPL})";

	e["Oliver Kurth"] = e["Kurth"] = "Kurth@\\textsc{Kurth, Oliver}";
	e["Adam Back"] = e["Back"] = "Back@\\textsc{Back, Adam}";
	e["Eric Allman"] = e["Allman"] = "Allman@\\textsc{Allman, Eric}";
	e["Stas Bekman"] = e["Bekman"] = "Bekman@\\textsc{Bekman, Stas}";
	e["Daniel J. Bernstein"] = e["Bernstein"] = "Bernstein@\\textsc{Bernstein, Daniel J.}";
	e["Bryan Costales"] = e["Costales"] = "Costales@\\textsc{Costales, Bryan}";
	e["George Candea"] = e["Candea"] = "Candea@\\textsc{Candea, George}";
	e["Dan Shearer"] = e["Shearer"] = "Shearer@\\textsc{Shearer, Dan}";
	e["Dave Sill"] = e["Sill"] = "Sill@\\textsc{Sill, Dave}";
	e["David A. Wheeler"] = e["Wheeler"] = "Wheeler@\\textsc{Wheeler, David A.}";
	e["Kyle D. Dent"] = e["Dent"] = "Dent@\\textsc{Dent, Kyle D.}";
	e["Derek Broughton"] = e["Broughton"] = "Broughton@\\textsc{Broughton, Derek}";
	e["Doug McIlroy"] = e["McIlroy"] = "McIlroy@\\textsc{McIlroy, Doug}";
	e["Peter Eisentraut"] = e["Eisentraut"] = "Eisentraut@\\textsc{Eisentraut, Peter}";
	e["Tony Finch"] = e["Finch"] = "Finch@\\textsc{Finch, Tony}";
	e["Armando Fox"] = e["Fox"] = "Fox@\\textsc{Fox, Armando}";
	e["Frederik Vermeulen"] = e["Vermeulen"] = "Vermeulen@\\textsc{Vermeulen, Frederik}";
	e["Marc G. Graff"] = e["Graff"] = "Graff@\\textsc{Graff, Marc G.}";
	e["Munawar Hafiz"] = e["Hafiz"] = "Hafiz@\\textsc{Hafiz, Munawar}";
	e["Philip Hazel"] = e["Hazel"] = "Hazel@\\textsc{Hazel, Philip}";
	e["Ian R. Justman"] = e["Justman"] = "Justman@\\textsc{Justman, Ian R.}";
	e["Jesse Freund"] = e["Freund"] = "Freund@\\textsc{Freund, Jesse}";
	e["Jon Postel"] = e["Postel"] = "Postel@\\textsc{Postel, Jon}";
	e["Jonathan de Boyne Pollard"] = e["de Boyne Pollard"] = "de Boyne Pollard@\\textsc{de Boyne Pollard, Jonathan}";
	e["Stephen H. Kan"] = e["Kan"] = "Kan@\\textsc{Kan, Stephen H.}";
	e["Brian W. Kernighan"] = e["Kernighan"] = "Kernighan@\\textsc{Kernighan, Brian W.}";
	e["Nils Lenke"] = e["Lenke"] = "Lenke@\\textsc{Lenke, Nils}";
	e["Markus Schnalke"] = e["Schnalke"] = "Schnalke@\\textsc{Schnalke, Markus}";
	e["Michael Osterman"] = e["Osterman"] = "Osterman@\\textsc{Osterman, Michael}";
	e["Rob Pike"] = e["Pike"] = "Pike@\\textsc{Pike, Rob}";
	e["Eric S. Raymond"] = e["Raymond"] = "Raymond@\\textsc{Raymond, Eric S.}";
	e["Dennis Ritchie"] = e["Ritchie"] = "Ritchie@\\textsc{Ritchie, Dennis}";
	e["Peter Schmitz"] = e["Schmitz"] = "Schmitz@\\textsc{Schmitz, Peter}";
	e["Ken Simpson"] = e["Simpson"] = "Simpson@\\textsc{Simpson, Ken}";
	e["Diomidis Spinellis"] = e["Spinellis"] = "Spinellis@\\textsc{Spinellis, Diomidis}";
	e["Andrew S. Tanenbaum"] = e["Tanenbaum"] = "Tanenbaum@\\textsc{Tanenbaum, Andrew S.}";
	e["Kenneth R. van Wyk"] = e["van Wyk"] = "van Wyk@\\textsc{van Wyk, Kenneth R.}";
	e["Wietse Venema"] = e["Venema"] = "Venema@\\textsc{Venema, Wietse}";
}



{
	cur = $0
	gsub(/\\nobreakspace  \{\}/, " ", cur);
	gsub(/\\ /, " ", cur);
	sub(/[^{]*{/, "", cur);
	sub(/[}!].*/, "", cur);
	if (e[cur]) {
		sub(/{[^}!]*/, "{" e[cur]);
	}
	print;
}
